This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015227 - [abrt] libreoffice-core-4.1.2.2-1.fc19: operator*: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.2-1.fc19: operator*: Process /usr/lib64/libreof...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:022991d64ef983d5f91518f4c65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 13:09 EDT by Chris
Modified: 2014-04-10 11:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-10 11:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.88 KB, text/plain)
2013-10-03 13:09 EDT, Chris
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-03 13:09 EDT, Chris
no flags Details
File: core_backtrace (22.28 KB, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: dso_list (24.49 KB, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: environ (2.07 KB, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: maps (115.75 KB, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: open_fds (587 bytes, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
File: var_log_messages (340 bytes, text/plain)
2013-10-03 13:10 EDT, Chris
no flags Details
The spread sheet that was crashing (233.50 KB, application/vnd.ms-excel)
2013-10-07 09:51 EDT, Chris
no flags Details

  None (edit)
Description Chris 2013-10-03 13:09:51 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/chris/Dropbox/School-Stuff/maps/M2_Roster_File_Template.xls --splash-pipe=5
crash_function: operator*
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator* at /usr/include/boost/ptr_container/detail/void_ptr_iterator.hpp:68
 #1 for_each<boost::void_ptr_iterator<__gnu_cxx::__normal_iterator<void**, std::vector<void*, std::allocator<void*> > >, EditCharAttrib>, (anonymous namespace)::RemoveEmptyAttrItem> at /usr/include/c++/4.8.1/bits/stl_algo.h:4440
 #2 CharAttribList::DeleteEmptyAttribs at /usr/src/debug/libreoffice-4.1.2.2/editeng/source/editeng/editdoc.cxx:2951
 #3 ImpEditEngine::CursorMoved at /usr/src/debug/libreoffice-4.1.2.2/editeng/source/editeng/impedit2.cxx:706
 #4 EditEngine::CursorMoved at /usr/src/debug/libreoffice-4.1.2.2/editeng/source/editeng/editeng.cxx:706
 #5 EditView::SetSelection at /usr/src/debug/libreoffice-4.1.2.2/editeng/source/editeng/editview.cxx:226
 #6 lcl_SetTopSelection at /usr/src/debug/libreoffice-4.1.2.2/sc/source/ui/app/inputhdl.cxx:2116
 #7 ScInputHandler::SyncViews at /usr/src/debug/libreoffice-4.1.2.2/sc/source/ui/app/inputhdl.cxx:2129
 #8 ScInputHandler::InputSelection at /usr/src/debug/libreoffice-4.1.2.2/sc/source/ui/app/inputhdl.cxx:3710
 #9 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.1.2.2/vcl/source/window/winproc.cxx:803
Comment 1 Chris 2013-10-03 13:09:56 EDT
Created attachment 807178 [details]
File: backtrace
Comment 2 Chris 2013-10-03 13:09:59 EDT
Created attachment 807179 [details]
File: cgroup
Comment 3 Chris 2013-10-03 13:10:02 EDT
Created attachment 807180 [details]
File: core_backtrace
Comment 4 Chris 2013-10-03 13:10:06 EDT
Created attachment 807181 [details]
File: dso_list
Comment 5 Chris 2013-10-03 13:10:09 EDT
Created attachment 807182 [details]
File: environ
Comment 6 Chris 2013-10-03 13:10:12 EDT
Created attachment 807183 [details]
File: exploitable
Comment 7 Chris 2013-10-03 13:10:15 EDT
Created attachment 807184 [details]
File: limits
Comment 8 Chris 2013-10-03 13:10:19 EDT
Created attachment 807185 [details]
File: maps
Comment 9 Chris 2013-10-03 13:10:22 EDT
Created attachment 807186 [details]
File: open_fds
Comment 10 Chris 2013-10-03 13:10:30 EDT
Created attachment 807187 [details]
File: proc_pid_status
Comment 11 Chris 2013-10-03 13:10:34 EDT
Created attachment 807188 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-07 07:30:31 EDT
Are you able to reproduce this bug ? Did it happen for example with one specific spreadsheet ?
Comment 13 Chris 2013-10-07 09:49:24 EDT
it happened twice ... 
I can send the spreadsheet that it was crashing on.
Comment 14 Chris 2013-10-07 09:51:33 EDT
Created attachment 808849 [details]
The spread sheet that was crashing

here is the file that was causing libreoffice to crash out on me
Comment 15 Caolan McNamara 2013-10-07 11:52:41 EDT
seeing as it happens calc over to erack, perhaps he will have some luck in playing around with that example
Comment 16 Eike Rathke 2013-10-18 09:45:49 EDT
Chris, what exactly would I need to do to make it crash?
Comment 17 Chris 2013-10-18 10:00:53 EDT
I was moving columns around and that is when it crashed
Comment 18 Eike Rathke 2013-10-18 13:42:37 EDT
Sorry, I can't make anything of that description. Which column where on what sheet moving to where?
Comment 19 Chris 2013-10-31 09:28:01 EDT
sheet 1 
columns H, I, & G

I was reordering those columns to that order when it crashed
Comment 20 Eike Rathke 2014-04-10 11:20:53 EDT
I tried dragging around some of those columns in 4.1.5 and it didn't crash.

Note You need to log in before you can comment on or make changes to this bug.